#!/bin/sh

#./batch_realign.csh 060912tm run1

a=1
for file in $1/$2*.img
do
  if [ $a -lt 10 ]
  then
    fname=$1/$2_mc_000$a.img
    oname=$1/$2_mc_000$a.mat
  elif [ $a -lt 100 -a $a -ge 10 ]
  then
    fname=$1/$2_mc_00$a.img
    oname=$1/$2_mc_00$a.mat
  elif [ $a -lt 1000 -a $a -ge 100 ]
  then
    fname=$1/$2_mc_0$a.img
    oname=$1/$2_mc_0$a.mat
  else
    fname=$1/$2_mc_$a.img
    oname=$1/$2_mc_$a.mat
  fi
 
  bin/flirt -cost mutualinfo -searchcost mutualinfo -in $file -out $fname -ref $1/$2_118.img -omat $oname
  echo "$file realigned ..."
  a=$((a+1))
done



