% fmrlab_icadefs - Define variable needed by FMRLAB
%
% Input:
%
% Output:
%
% authors: Jeng-Ren Duann, PhD, INC/UCSD
%
% revision 1: rename from icadefs.m to fmrlab_icadefs.m to
%             make distinction from icadefs.m used in 
%             EEGLAB (04/01/2007)
% revision 2: Add variable FMRLAB_version to keep track of 
%             update (05/10/2007)

FMRLAB_version = '4.0';

if isunix
  ICADIR = ['/home/duann/matlab/fmrlab4.0/'];
else
  ICADIR = ['f:\duann\matlab\fmrlab'];
end

ICABINARY = [ICADIR 'ica_linux2.4'];

SC = [ICADIR 'binica.sc'];

FSLDIR = '/home/duann/matlab/fmrlab4.0/';

BACKCOLOR = [1 .984 .895];
GUIBACKCOLOR = [0.860 0.824 0.618];
GUIBUTTONCOLOR = [0.860 0.824 0.618];
GUITEXTCOLOR = [0.333 0.283 0.003];
