processors 1 # Number of procesors to run on
outdir mpicaout # directory of output files
x_infile        /home/rey/meg  # data in float precision
nw              275      # number of channels
ntot            64800  # number of samples
max_iter        100    # maximum number of iterations to perform
block_size      6000    # block size, will be divided over available processors
alpha           0.01    # initial learning rate
#alpha           0.0016677
  minalpha      1.0E-12 # stop when alpha is less than this
  alphafact     0.9     # factor to decrease alpha when likelihood decreases, or annealing rate
gradtype        5       # 0 = cosh, 1 = logistic, 2 = laplacian, 3 = p=1.5, 4 = gengauss, 5 = pq
  p0            1.7     # starting value for p (and q)
  lowp          1.2     # lowest value p (and q) can adapt to
getcost         1       # 0 = use alphafact as annealing, 1 = get likelihood, use it to anneal
doreject        1       # 0 = don't reject, 1 = do rejection
  firstreject   5       # iteration to perform first rejection
  rejectstep    20      # number iterations between rejections after firstreject
  maxreject     5       # total number of times to perform rejection
  devfact       3.0     # number of standard deviations below mean
W_infile      none    # set this to random for random init
rej_infile    none    # file containing vector of length ntot with equal to 0 for rejects
#W_infile      /home/jason/output0806_064907/Wbp  # set this to random for random init
#rej_infile    /home/jason/output0806_064907/ck   # file containing vector with 0 for rejects
alphap0       0.1     # initial value for p adaptation rate in gengauss in pg gradtypes
maxalphap     0.5     # maximum adaptation rate for p, alphap increases from p0 to maxalphap
