function [wts, mix]=sort_comps(wts,sph,data)
%function [wts, mix]=sort_comps(wts,sph,data)
%
%sorts a basis of LSFs according to variance accounted for in the
%data
%
%mix is the sorted mixing matrix (e.g. EEG.icawinv)
%the returned wts times the original sph will give the sorted
%unmixing matrix

unmix=wts*sph;
mix=inv(unmix);
[var_acct]=varacct(data,mix);
disp('Computing variance sccounted for by each component');
[dummy id]=sort(-var_acct);
mix=mix(:,id);
unmix=inv(mix);
wts=unmix*inv(sph);