function sumup_brain_area(fname, z_thre)

if nargin < 2,
  z_thre = 2.0;
end

fp = fopen(fname,'r');
% get the z-value brain area name for each entry
z = [];
ar = {''};
loc = {''};
cnt = 1;
while ~feof(fp),
  a = fgets(fp);
  kk1 = findstr(a,'(');
  kk2 = findstr(a,')');
  ii = findstr(a,'=');
  jj = findstr(a,':');
  zz = str2num(a(ii+1:jj-1));
  if abs(zz) >= z_thre,
    z(cnt) = str2num(a(ii+1:jj-1));
    ar{cnt} = a(jj+2:length(a)-1);
    loc{cnt} = a(kk1:kk2);
    cnt = cnt + 1;
  end
end
fclose(fp);

cnt = cnt-1;
class_cnt = 1;
cl(1).name = ar{1};
ii = find(strcmp(ar,cl(1).name));
[x,y] = max(abs(z(ii)));
cl(1).z = z(ii(y));
cl(1).loc = loc(ii(y));
for i=2:cnt,
  found = 0;
  for j=1:class_cnt,
    if strcmp(cl(j).name,ar{i}) == 1,
      found = 1;
    end
  end
  if found == 0,
    class_cnt = class_cnt + 1;
    cl(class_cnt).name = ar{i};
    ii = find(strcmp(ar,cl(class_cnt).name));
    [x,y] = max(abs(z(ii)));
    cl(class_cnt).z = z(ii(y));
    cl(class_cnt).loc = loc{ii(y)};
  end
end 


% summarize the results
for i=1:class_cnt,
  fprintf(1,'%s; %8.4f; %s\n',char(cl(i).loc),cl(i).z,cl(i).name);
end

  