function fake_str(fname)

if nargin < 1,
  disp('Please specifiy filename for structural images');
  return;
end

global FMRI

if isfield(FMRI,'voxmm'),
  if FMRI.voxmm ~= 0,
    temp = FMRI.voxmm;
  end
else
  temp = mean(FMRI.data);
end

temp2 = zeros(1,FMRI.dime_x*FMRI.dime_y*FMRI.dime_z);
for i=1:length(FMRI.idx),
  temp2(FMRI.idx(i)) = temp(i);
end
temp2 = uint16(temp2);
fp = fopen(fname,'wb','ieee-be');
fwrite(fp,temp2,'uint16');
fclose(fp);

